Package ru.bitel.bgbilling.modules.tv.common.service

# Interface TvAccountService

public interface TvAccountService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<TvAccount>`
  `tvAccounContracttList(int contractId)`
  `void`
  `tvAccountDelete(int contractId, int id, boolean force)`
  `TvAccount`
  `tvAccountGet(int contractId, int id)`
  `TvAccount`
  `tvAccountGetByLogin(String login, Date time)`
  `void`
  `tvAccountIsActive(TvAccount tvAccount)`
  `List<TvAccount>`
  `tvAccountList(int deviceId, String login, Date dateFrom, Date dateTo)`
  `List<TvAccount>`
  `tvAccountSearch(List<ru.bitel.bgbilling.common.model.KeyValue> filter, int tvAccountSpecId, boolean strict)`
  `void`
  `tvAccountSpecDelete(int id)`
  `TvAccountSpec`
  `tvAccountSpecGet(int tvAccountSpecId)`
  `List<TvAccountSpec>`
  `tvAccountSpecList()`
  `List<IdTitle>`
  `tvAccountSpecTitleList()`
  `int`
  `tvAccountSpecUpdate(TvAccountSpec tvAccountSpec)`
  `TvAccount`
  `tvAccountTree(int contractId)`
  `int`
  `tvAccountUpdate(int contractId, TvAccount tvAccount, boolean generateLogin, boolean generatePassword, long omWaitTimeout)`
  `String`
  `tvProductStatus(int contractId, int tvAccountId)`

- ## Method Details

  - ### tvAccountTree

    TvAccount tvAccountTree(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### tvAccountSpecList

    List<TvAccountSpec> tvAccountSpecList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### tvAccountSpecTitleList

    List<IdTitle> tvAccountSpecTitleList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### tvAccountGet

    TvAccount tvAccountGet(int contractId, int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### tvAccountList

    List<TvAccount> tvAccountList(int deviceId, String login, Date dateFrom, Date dateTo) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### tvAccountDelete

    void tvAccountDelete(int contractId, int id, boolean force) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### tvAccountUpdate

    int tvAccountUpdate(int contractId, TvAccount tvAccount, boolean generateLogin, boolean generatePassword, long omWaitTimeout) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### tvAccountSpecGet

    TvAccountSpec tvAccountSpecGet(int tvAccountSpecId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### tvAccountSpecUpdate

    int tvAccountSpecUpdate(TvAccountSpec tvAccountSpec) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### tvAccountSpecDelete

    void tvAccountSpecDelete(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### tvAccountGetByLogin

    TvAccount tvAccountGetByLogin(String login, Date time) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### tvAccountIsActive

    void tvAccountIsActive(TvAccount tvAccount) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### tvProductStatus

    String tvProductStatus(int contractId, int tvAccountId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### tvAccountSearch

    List<TvAccount> tvAccountSearch(List<ru.bitel.bgbilling.common.model.KeyValue> filter, int tvAccountSpecId, boolean strict) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### tvAccounContracttList

    List<TvAccount> tvAccounContracttList(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`